<!DOCTYPE html>
    <html lang="en">

    <head>
        <meta charset="utf-8">
        <title>User Details</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
        <meta content="Coderthemes" name="author">
        <!-- App favicon -->
        <link rel="shortcut icon" href="../img/favicon.ico">

        <!-- third party css -->        
        <link href="../css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css">
        <link href="../css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css">
        <!-- third party css end -->

        <!-- App css -->
        <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
        <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
        <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">


    </head>
	<script>
        setTimeout(() => {
            const box = document.getElementById('box');
            box.style.display = 'none'
            
        }, 3000);
      </script>


    <body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
        <!-- Begin page -->
        <div class="wrapper">
            <!-- ========== Left Sidebar Start ========== -->
            <div class="leftside-menu">

                <!-- LOGO -->
                <a href="index.html" class="logo text-center logo-light">
                    <span class="logo-lg">
                        <img src="../img/logo_sm.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm.png" alt="" height="40">
                    </span>
                </a>

                <!-- LOGO -->
                <a href="./staffDashboard" class="logo text-center logo-dark">
                    <span class="logo-lg">
                        <img src="../img/logo-dark.png" alt="" height="40">
                    </span>
                    <span class="logo-sm">
                        <img src="../img/logo_sm_dark.png" alt="" height="40">
                    </span>
                </a>

                <div class="h-100" id="leftside-menu-container" data-simplebar="">

                    <!--- Sidemenu -->
                    <ul class="side-nav">

                        <li class="side-nav-title side-nav-item">Navigation</li>

                        <li class="side-nav-item">
                            <a data-bs-toggle="collapse" href="#sidebarDashboards" aria-expanded="false" aria-controls="sidebarDashboards" class="side-nav-link">
                                <i class="uil-table"></i>
                                <span class="badge bg-success float-end">2</span>
                                <span> Request List </span>
                            </a>

                            <div class="collapse" id="sidebarDashboards">
                              <ul class="side-nav-second-level">
                                <li>
                                  <a href="./staffDashboard">Event Proposal</a>
                                </li>

                                <li>
                                  <a href="./ccaRequest">CCA Proposal</a>
                                </li>
                              </ul>
                            </div>
                        </li>


                        <li class="side-nav-item">
                            <a href="./UserDetails" class="side-nav-link">
                                <i class="uil-users-alt"></i>
                                <span> User Details </span>
                            </a>
                        </li>

                        <li class="side-nav-item">
                            <a href="./staffabout" class="side-nav-link">
                                <i class="uil-exclamation-circle"></i>
                                <span> About </span>
                            </a>
                        </li>
                      </ul>
                    <!-- End Sidebar -->

                    <div class="clearfix"></div>

                </div>
                <!-- Sidebar -left -->

            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">
                    <!-- Topbar Start -->
                    <div class="navbar-custom">
                        <ul class="list-unstyled topbar-menu float-end mb-0">

                            <li class="dropdown notification-list">
                                <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                                    <span class="account-user-avatar">
                                        <img src="userImages/<%= user.photo %>" alt="user-image" class="rounded-circle">
                                    </span>
                                    <span>
                                        <span class="account-user-name"><%= user.name%></span>
                                        <span class="account-position"><%= user.role%></span>
                                    </span>
                                </a>
                                <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                    <!-- item-->
                                    <div class=" dropdown-header noti-title">
                                        <h6 class="text-overflow m-0">Welcome !</h6>
                                    </div>

                                    <!-- item-->
                                    <a href="./staffSetting" class="dropdown-item notify-item">
                                        <i class="mdi mdi-account-edit me-1"></i>
                                        <span>Settings</span>
                                    </a>

                                    <!-- item-->
                                    <a href="/logout" class="dropdown-item notify-item">
                                        <i class="mdi mdi-logout me-1"></i>
                                        <span>Logout</span>
                                    </a>
                                </div>
                            </li>
                        </ul>
                        <button class="button-menu-mobile open-left button-collapse">
                            <i class="mdi mdi-menu"></i>
                        </button>

                    </div>
                    <!-- end Topbar -->

                    <!-- Start Content-->
                    <div class="container-fluid">

                        <!-- start page title -->
                        <div class="row">
                            <div class="col-12">
                                <div class="page-title-box">
                                    <h4 class="page-title">Student Details</h4>
                                </div>
                            </div>
                        </div>
                        <!-- end page title -->

                       <div class="row">
                          <div class="col-sm-12">
                              <!-- Profile -->
                              <div class="card bg-primary">
                                  <div class="card-body profile-user-box">
                                      <div class="row">
                                          <div class="col-sm-8">
                                              <div class="row align-items-center">
                                                  <div class="col-auto">
                                                      <div class="avatar-lg">
                                                          <img src="userImages/<%= student.photo %>" alt="" class="rounded-circle img-thumbnail">
                                                      </div>
                                                  </div>
                                                  <div class="col">
                                                    <div class="spacing">
                                                        <h4 class="mt-1 mb-2 text-white"><%= student.name %></h4>
                                                        <p class="font-13 text-white-50"><strong>Email:</strong> <%= student.email %></p>
                                                        <p class="font-13 text-white-50"><strong>Course:</strong> <%= student.course %></p>
                                                        <p class="font-13 text-white-50"><strong>Year:</strong> <%= student.year %></p>
                                                        <p class="font-13 text-white-50"><strong>CCA Grade:</strong> <%=grade%></p>                                                      -->
                                                    </div>
                                                </div>
                                    
                                          </div> <!-- end col-->

										 
                                        </div> <!-- end row -->

                                      </div> <!-- end row -->
                                    </div> <!-- end card-body/ profile-user-box-->
                                </div><!--end profile/ card -->
                            </div> <!-- end col-->
                        
                      <!-- end row -->
                    
                        <!-- end row -->

                        <div class="row">
                            <div class="card">
                                <div class="card-body">
                                    <h4 class="header-title" id = "grade"></h4>
                                    <hr>
                                    <table class="table table-bordered table-centered mb-0">
                                        <thead>
                                            <tr>
                                                <th>Components</th>
                                                <th>Marks Secured</th>
                                               

                                            </tr>
                                        </thead>

                                        <tbody>
                                            <tr>
                                                <td>Participation</td>
                                                <td id="participation"><%=participation%></td>
                                             
                                            </tr>
                                            <tr>
                                                <td>Enrichment</td>
                                                <td id="leadership"><%=enrichment%></td>
                                                
                                            </tr>
                                            <tr>
                                                <td>Achievement</td>
                                                <td id="achievement"><%=achievement%></td>
                                              
                                            </tr>
                                            <tr>
                                                <td>Representation</td>
                                                <td id="enrichment"><%=representation%></td>
                                              
                                            </tr>
                                            <tr>
                                                <td>Leadership</td>
                                                <td id="community"><%=leadership%></td>
                                               
                                            </tr>
                                            <tr>
                                                <td>Service</td>
                                                <td id="service"><%=service%></td>
                                              
                                            </tr>

                                            <tr data-spy="affix">
                                                <td><strong>Total</strong></td>
                                                <td id="total"><strong><%=total%></strong></td>
                                               
                                            </tr>
                                        </tbody>

                                    </table>

                                </div>

                            </div>

                        </div>

                        <!-- Start Content-->
                       
                            <div class="row">
                                <div class="card">
                                  <div class="card-body">
                                    <h4 class="header-title">CCA Point Associated With Role</h4>
                                    <hr>
                                      <table id="scroll-horizontal-datatable" class="table w-100 nowrap">
                                          <thead>
                                            <tr>
                                              <th>Event</th>
                                              <th>Component</th>
                                              <th>Role</th>
                                              <th>Point</th>
                                             
                                            </tr>
                                          </thead>

                                          <tbody>
                                            <% if (cca.length > 0) { %>
												<% cca.forEach(function(request) { %>
												  <tr>
				
													<td><%= request.eventName %></td>
													<td><%= request.components %></td>
													<td><%= request.roleName %></td>
													<td><%= request.point %></td>
									
												
												  </tr>
												<% }); %>
											  <% } else { %>
												<tr>
												  <td colspan="4">No CCA points yet</td>
												</tr>
											  <% } %>
																			
                                          </tbody>
                                        </table>
                                      </div>
                                    </div>
                                  </div>
                             

                    </div> <!-- container -->

                </div> <!-- content -->

                <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6">
                                <script>document.write(new Date().getFullYear())</script> © GCIT
                            </div>
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->

      

        <!-- bundle -->
        <script src="../js/vendor.min.js"></script>
        <script src="../js/app.min.js"></script>
        <script src="../js/student.js"></script>


        <!-- third party js -->

        <!-- for table -->
        <script src="../js/vendor/jquery.dataTables.min.js"></script>
        <script src="../js/vendor/dataTables.bootstrap5.js"></script>
        <script src="../js/vendor/dataTables.responsive.min.js"></script>
        <script src="../js/vendor/responsive.bootstrap5.min.js"></script>
        <script src="../js/vendor/dataTables.select.min.js"></script>
        <script src="../js/vendor/dataTables.buttons.min.js"></script>

        <!-- third party js ends -->

        <!-- demo app -->
        <script src="../js/pages/demo.dashboard.js"></script>
        <script src="../js/pages/demo.datatable-init.js"></script>
        <!-- end demo js-->
    </body>
</html>

